Package org.opensaml.xmlsec.algorithm

# Interface KeyLengthSpecifiedAlgorithm

All Superinterfaces:
  `AlgorithmDescriptor`

All Known Subinterfaces:
  `BlockEncryptionAlgorithm`, `SymmetricKeyWrapAlgorithm`

All Known Implementing Classes:
  `BlockEncryptionAES128CBC`, `BlockEncryptionAES128GCM`, `BlockEncryptionAES192CBC`, `BlockEncryptionAES192GCM`, `BlockEncryptionAES256CBC`, `BlockEncryptionAES256GCM`, `BlockEncryptionDESede`, `SymmetricKeyWrapAES128`, `SymmetricKeyWrapAES192`, `SymmetricKeyWrapAES256`, `SymmetricKeyWrapDESede`

public interface KeyLengthSpecifiedAlgorithm extends AlgorithmDescriptor
Interface for algorithm descriptors which specify a key length.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Method Summary

Modifier and Type
Method
Description
`int`
`getKeyLength()`
Get the length of the key specified by this algorithm.

### Methods inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`getJCAAlgorithmID, getType, getURI`

## Method Details

### getKeyLength

int getKeyLength()
Get the length of the key specified by this algorithm.

Returns:
  the specified key length